public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-wm/fvwm/
Date: Sun, 14 Oct 2018 13:02:59 +0000 (UTC)	[thread overview]
Message-ID: <1539522145.1a84ca03bce720ce9d1d83e4ced78c3f32d84ce7.pacho@gentoo> (raw)

commit:     1a84ca03bce720ce9d1d83e4ced78c3f32d84ce7
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 14 12:33:30 2018 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Oct 14 13:02:25 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1a84ca03

x11-wm/fvwm: Ensure utf8 works always (#602276), use eapi7

Closes: https://bugs.gentoo.org/602276
Closes: https://bugs.gentoo.org/592322
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11

 x11-wm/fvwm/fvwm-2.6.8-r1.ebuild | 155 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 155 insertions(+)

diff --git a/x11-wm/fvwm/fvwm-2.6.8-r1.ebuild b/x11-wm/fvwm/fvwm-2.6.8-r1.ebuild
new file mode 100644
index 00000000000..ffbb42db076
--- /dev/null
+++ b/x11-wm/fvwm/fvwm-2.6.8-r1.ebuild
@@ -0,0 +1,155 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools flag-o-matic desktop
+
+DESCRIPTION="An extremely powerful ICCCM-compliant multiple virtual desktop window manager"
+HOMEPAGE="http://www.fvwm.org/"
+SRC_URI="https://github.com/fvwmorg/fvwm/releases/download/${PV}/${P}.tar.gz"
+
+LICENSE="GPL-2 FVWM"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="bidi debug doc netpbm nls perl png readline rplay stroke svg tk truetype +vanilla xinerama lock"
+
+COMMON_DEPEND="
+	sys-libs/zlib
+	x11-libs/libICE
+	x11-libs/libSM
+	x11-libs/libX11
+	x11-libs/libXau
+	x11-libs/libxcb
+	x11-libs/libXcursor
+	x11-libs/libXdmcp
+	x11-libs/libXext
+	x11-libs/libXfixes
+	x11-libs/libXpm
+	x11-libs/libXrandr
+	x11-libs/libXrender
+	virtual/libiconv
+	bidi? ( dev-libs/fribidi )
+	nls? ( virtual/libintl )
+	png? ( media-libs/libpng:0= )
+	readline? (
+		sys-libs/ncurses:0=
+		sys-libs/readline:0=
+	)
+	stroke? ( dev-libs/libstroke )
+	svg? ( gnome-base/librsvg )
+	truetype? (
+		media-libs/fontconfig
+		x11-libs/libXft
+	)
+	xinerama? ( x11-libs/libXinerama )
+"
+RDEPEND="${COMMON_DEPEND}
+	dev-lang/perl
+	perl? ( tk? (
+			dev-lang/tk
+			dev-perl/Tk
+			>=dev-perl/X11-Protocol-0.56
+		)
+	)
+	rplay? ( media-sound/rplay )
+	lock? ( x11-misc/xlockmore )
+	userland_GNU? ( sys-apps/debianutils )
+	!x86-fbsd? ( netpbm? ( media-libs/netpbm ) )
+"
+DEPEND="${COMMON_DEPEND}
+	virtual/pkgconfig
+	x11-base/xorg-proto
+	doc? ( dev-libs/libxslt )
+"
+
+src_prepare() {
+	if ! use vanilla; then
+		# Enables fast translucent menus; patch from fvwm-user mailing list.
+		eapply -p0 "${FILESDIR}/${PN}-2.5.27-translucent-menus.diff"
+
+		# Allow more mouse buttons, bug #411811
+		eapply -p0 "${FILESDIR}/${PN}-2.6.5-mouse-buttons.patch"
+	fi
+
+	eapply -p0 "${FILESDIR}/${PN}-2.6.5-ar.patch" #474528
+
+	default
+	eautoreconf
+}
+
+src_configure() {
+	local myeconfargs=(
+		--libexecdir="${EPREFIX}"/usr/$(get_libdir)
+		--with-imagepath=/usr/include/X11/bitmaps:/usr/include/X11/pixmaps:/usr/share/icons/fvwm
+		--enable-iconv
+		--enable-package-subdirs
+		--docdir="/usr/share/doc/${P}"
+		$(use_enable bidi)
+		$(use_enable debug debug-msgs)
+		$(use_enable debug command-log)
+		$(use_enable doc htmldoc)
+		$(use_enable nls)
+		$(use_enable perl perllib)
+		$(use_enable png)
+		$(use_with readline readline-library)
+		$(use_with rplay rplay-library)
+		$(use_with stroke stroke-library)
+		$(use_enable svg rsvg)
+		$(use_enable truetype xft)
+		$(use_enable xinerama)
+	)
+
+	# Non-upstream email where bugs should be sent; used in fvwm-bug.
+	export FVWM_BUGADDR="maintainer-needed@gentoo.org"
+
+	# Recommended by upstream, reference ????
+	append-flags -fno-strict-aliasing
+
+	# Signed chars are required.
+	use ppc && append-flags -fsigned-char
+
+	use readline && myeconfargs+=( --without-termcap-library )
+
+	econf "${myeconfargs[@]}"
+}
+
+src_install() {
+	default
+	make_session_desktop fvwm /usr/bin/fvwm
+
+	if ! use lock; then
+		find "${D}" -name '*fvwm-menu-xlock' -exec rm -f '{}' \; 2>/dev/null
+	fi
+
+	if use perl; then
+		if ! use tk; then
+			rm "${D}"/usr/share/fvwm/perllib/FVWM/Module/Tk.pm || die
+			rm "${D}"/usr/share/fvwm/perllib/FVWM/Module/Toolkit.pm || die
+			find "${D}"/usr/share/fvwm/perllib -depth -type d -exec rmdir '{}' \; 2>/dev/null
+		fi
+	else
+		# Completely wipe it if ! use perl
+		rm -r "${D}"/usr/bin/fvwm-perllib "${D}"/usr/share/man/man1/fvwm-perllib.1
+	fi
+
+	# Utility for testing FVWM behaviour by creating a simple window with
+	# configurable hints.
+	if use debug; then
+		dobin "${S}"/tests/hints/hints_test
+		newdoc "${S}"/tests/hints/README README.hints
+	fi
+
+	dodir /etc/X11/Sessions
+	echo "/usr/bin/fvwm" > "${D}"/etc/X11/Sessions/${PN} || die
+	fperms a+x /etc/X11/Sessions/${PN} || die
+
+	dodoc docs/{COMMANDS,DEVELOPERS.md}
+
+	# README file for translucent menus patch.
+	if ! use vanilla; then
+		dodoc "${FILESDIR}"/README.translucency
+		ewarn "You are using a patched build, so, please, don't"
+		ewarn "report bugs at the fvwm-workers list unless you are"
+		ewarn "also able to reproduce them with a vanilla build (USE=vanilla)."
+	fi
+}


             reply	other threads:[~2018-10-14 13:03 UTC|newest]

Thread overview: 38+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-10-14 13:02 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-26 21:32 [gentoo-commits] repo/gentoo:master commit in: x11-wm/fvwm/ Sam James
2024-08-15 19:09 Sam James
2024-08-15 19:09 Sam James
2024-06-14  5:32 Arthur Zamarin
2024-05-29  5:55 Joonas Niilola
2024-05-29  5:55 Joonas Niilola
2024-04-22 16:52 Viorel Munteanu
2024-03-22  3:06 Matt Jolly
2023-10-09 19:13 Sam James
2023-10-09  4:36 Sam James
2023-08-05 22:29 Sam James
2023-05-01  9:53 Sam James
2023-02-24 16:25 Arthur Zamarin
2023-02-24 16:19 Arthur Zamarin
2023-02-24 15:59 Arthur Zamarin
2022-11-24  6:37 Jakov Smolić
2022-08-19  3:38 Sam James
2022-08-05  4:52 Sam James
2022-08-05  4:46 Sam James
2022-03-23  8:47 Yixun Lan
2022-01-06  9:07 David Seifert
2022-01-05 10:01 David Seifert
2021-03-16 19:57 Sam James
2021-02-11 20:33 Conrad Kostecki
2020-11-28 19:55 Aaron Bauman
2020-11-28 18:37 Aaron Bauman
2020-08-05 14:02 Agostino Sarubbo
2020-08-05 13:53 Agostino Sarubbo
2020-01-31  8:13 Tim Harder
2019-05-11 22:18 Andreas K. Hüttel
2018-09-28 17:34 Tim Harder
2018-04-28  0:56 Matt Turner
2017-11-26 23:33 David Seifert
2017-04-07 13:22 Amy Liffey
2017-03-19  4:12 Kent Fredric
2016-03-14 23:07 Andreas Hüttel
2015-10-16 16:12 Ian Stakenvicius

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1539522145.1a84ca03bce720ce9d1d83e4ced78c3f32d84ce7.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox